Results 1 to 3 of 3

Thread: Can Amanda server 2.5.2 talk to old amanda client 2.4.2p2

  1. #1

    Default Can Amanda server 2.5.2 talk to old amanda client 2.4.2p2

    Hi!

    Recently I've configured Amanda server v. 2.5.2 and would like to back up Linux RedHat 7.3 client with amanda client 2.4.2p2. Unfortuantely I can not install new amanda client because of need of GLIBC2.3 on RedHat 7.3. As I could not find GLIBC2.3.4 for RH7.3 I decided to use amanda-client-2.4.2p2.

    Unfortunately after configuration with xinetd I receive error:

    Warning: serv1.mycompany.com: selfcheck request failed: tcpm_recv_token: invalid size: Amanda 2.4 NAK HANDLE SEQ 0
    ERROR expected "Amanda", got ""

    I changed user name and chown of client folders from "amanda" (set up by default by amanda-client-2.4.2p2) to "amandabackup" to make it more compatibile with new server.
    Listing of "amanda" file in xinetd.d :
    # default: on
    # description: The client for the Amanda backup system.\
    # This must be on for systems being backed up\
    # by Amanda.

    service amanda
    {
    disable = no
    socket_type = stream
    protocol = tcp
    wait = no
    user = amandabackup
    group = disk
    groups = yes
    server = /usr/lib/amanda/amandad
    server_args = -auth=bsdtcp amdump

    }

    When I make change:
    socket_type = dgram , and
    protocol = udp
    I am receiving another error while doing amcheck on server:

    Warning: serv1.mycompany.com: selfcheck request failed: Connection refused

    Has anyone got idea how to get amanadas 2.5.2 and 2.4.2p2 get communicated???

    Many thanks in advance
    Greg

  2. #2
    Join Date
    Oct 2005
    Location
    Bay Area, CA
    Posts
    124

    Default

    Amanda 2.4.2p2 client only understands bsd auth.

    So Amanda server v2.5.2 needs to talk to the old client using bsd auth.

    See if the following page helps:

    [url]http://wiki.zmanda.com/index.php/Configuring_bsd/bsdudp/bsdtcp_authentication[/url]

  3. #3

    Default

    Quote Originally Posted by ktill View Post
    Amanda 2.4.2p2 client only understands bsd auth.

    So Amanda server v2.5.2 needs to talk to the old client using bsd auth.

    See if the following page helps:

    [url]http://wiki.zmanda.com/index.php/Configuring_bsd/bsdudp/bsdtcp_authentication[/url]
    Thank you!
    That helped a lot.

    Best regards
    Greg

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •